import React from "react";
import styled from "styled-components";
import useGameInfo from "../../../hooks/useGameInfo";

const PlayerListContainer = styled.div`
  flex: 1;
  
  display: flex;
  flex-flow: column nowrap;
  justify-content: flex-start;
  align-items: flex-start;

  border-left: 2px solid #777;
  height: 100%;
  padding-left: 1rem;
`

const Label = styled.span`
  padding: 0.2em;
`

const PlayerList = styled.ul`
`

const PlayerName = styled.li`
`

const LobbyPlayerList = () => (
  <PlayerListContainer>
    <Label>Players</Label>
    <PlayerList>
      {
        useGameInfo()?.players?.map(({ name }) => (
          <PlayerName key={name}>{name}</PlayerName>
        ))
      }
    </PlayerList>
  </PlayerListContainer>
);

export default LobbyPlayerList;